# scnn
for mlp_decoder in True
do
    for noise_type in interp 
    do 
        for activations in tanh id  
        do 
            for order1 in 0 1 2 3 4 5 
            do 
                for order2 in 0 1 2 3 4 5 
                do 
                    for hidden_features in 64 
                    do 
                        for layers in 0 1 2
                        do 
                            s=$(printf "\--model_name scnn --hidden_features %d --layers %d --filter_order_scnn_k1 %d --filter_order_scnn_k2 %d --noise_type %s --activations %s --mlp_decoder %s" $hidden_features $layers $order1 $order2 $noise_type $activations $mlp_decoder)
                            s="${s:1}"
                            python forex/forex_interp.py $s
                        done
                    done
                done
            done
        done 
    done 
done 